curl --request PUT \
--url https://tawked.com/v1/applications/{application}/whatsapp/template-drafts/{draft} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revision": 123,
"autofill_text": "<string>",
"category": "<string>",
"code_expiry_minutes": 123,
"message_send_ttl_seconds": 123,
"name": "<string>",
"otp_type": "<string>",
"package_name": "<string>",
"security_recommendation": true,
"signature_hash": "<string>",
"variants": [
{
"body": "<string>",
"buttons": [
{
"phone_number": "<string>",
"text": "<string>",
"type": "<string>",
"url": "<string>"
}
],
"examples": {},
"footer": "<string>",
"header": "<string>",
"header_format": "<string>",
"header_sample": "<string>",
"labels": {},
"language": "<string>"
}
],
"zero_tap_terms_accepted": true
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
revision: 123,
autofill_text: '<string>',
category: '<string>',
code_expiry_minutes: 123,
message_send_ttl_seconds: 123,
name: '<string>',
otp_type: '<string>',
package_name: '<string>',
security_recommendation: true,
signature_hash: '<string>',
variants: [
{
body: JSON.stringify('<string>'),
buttons: [
{phone_number: '<string>', text: '<string>', type: '<string>', url: '<string>'}
],
examples: {},
footer: '<string>',
header: '<string>',
header_format: '<string>',
header_sample: '<string>',
labels: {},
language: '<string>'
}
],
zero_tap_terms_accepted: true
})
};
fetch('https://tawked.com/v1/applications/{application}/whatsapp/template-drafts/{draft}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tawked.com/v1/applications/{application}/whatsapp/template-drafts/{draft}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'revision' => 123,
'autofill_text' => '<string>',
'category' => '<string>',
'code_expiry_minutes' => 123,
'message_send_ttl_seconds' => 123,
'name' => '<string>',
'otp_type' => '<string>',
'package_name' => '<string>',
'security_recommendation' => true,
'signature_hash' => '<string>',
'variants' => [
[
'body' => '<string>',
'buttons' => [
[
'phone_number' => '<string>',
'text' => '<string>',
'type' => '<string>',
'url' => '<string>'
]
],
'examples' => [
],
'footer' => '<string>',
'header' => '<string>',
'header_format' => '<string>',
'header_sample' => '<string>',
'labels' => [
],
'language' => '<string>'
]
],
'zero_tap_terms_accepted' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://tawked.com/v1/applications/{application}/whatsapp/template-drafts/{draft}"
payload = {
"revision": 123,
"autofill_text": "<string>",
"category": "<string>",
"code_expiry_minutes": 123,
"message_send_ttl_seconds": 123,
"name": "<string>",
"otp_type": "<string>",
"package_name": "<string>",
"security_recommendation": True,
"signature_hash": "<string>",
"variants": [
{
"body": "<string>",
"buttons": [
{
"phone_number": "<string>",
"text": "<string>",
"type": "<string>",
"url": "<string>"
}
],
"examples": {},
"footer": "<string>",
"header": "<string>",
"header_format": "<string>",
"header_sample": "<string>",
"labels": {},
"language": "<string>"
}
],
"zero_tap_terms_accepted": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": {}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}whatsapp.template_drafts.update
409 stale with the draft as it now is when someone saved it since your revision: merge and send again with its revision.
curl --request PUT \
--url https://tawked.com/v1/applications/{application}/whatsapp/template-drafts/{draft} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revision": 123,
"autofill_text": "<string>",
"category": "<string>",
"code_expiry_minutes": 123,
"message_send_ttl_seconds": 123,
"name": "<string>",
"otp_type": "<string>",
"package_name": "<string>",
"security_recommendation": true,
"signature_hash": "<string>",
"variants": [
{
"body": "<string>",
"buttons": [
{
"phone_number": "<string>",
"text": "<string>",
"type": "<string>",
"url": "<string>"
}
],
"examples": {},
"footer": "<string>",
"header": "<string>",
"header_format": "<string>",
"header_sample": "<string>",
"labels": {},
"language": "<string>"
}
],
"zero_tap_terms_accepted": true
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
revision: 123,
autofill_text: '<string>',
category: '<string>',
code_expiry_minutes: 123,
message_send_ttl_seconds: 123,
name: '<string>',
otp_type: '<string>',
package_name: '<string>',
security_recommendation: true,
signature_hash: '<string>',
variants: [
{
body: JSON.stringify('<string>'),
buttons: [
{phone_number: '<string>', text: '<string>', type: '<string>', url: '<string>'}
],
examples: {},
footer: '<string>',
header: '<string>',
header_format: '<string>',
header_sample: '<string>',
labels: {},
language: '<string>'
}
],
zero_tap_terms_accepted: true
})
};
fetch('https://tawked.com/v1/applications/{application}/whatsapp/template-drafts/{draft}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tawked.com/v1/applications/{application}/whatsapp/template-drafts/{draft}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'revision' => 123,
'autofill_text' => '<string>',
'category' => '<string>',
'code_expiry_minutes' => 123,
'message_send_ttl_seconds' => 123,
'name' => '<string>',
'otp_type' => '<string>',
'package_name' => '<string>',
'security_recommendation' => true,
'signature_hash' => '<string>',
'variants' => [
[
'body' => '<string>',
'buttons' => [
[
'phone_number' => '<string>',
'text' => '<string>',
'type' => '<string>',
'url' => '<string>'
]
],
'examples' => [
],
'footer' => '<string>',
'header' => '<string>',
'header_format' => '<string>',
'header_sample' => '<string>',
'labels' => [
],
'language' => '<string>'
]
],
'zero_tap_terms_accepted' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://tawked.com/v1/applications/{application}/whatsapp/template-drafts/{draft}"
payload = {
"revision": 123,
"autofill_text": "<string>",
"category": "<string>",
"code_expiry_minutes": 123,
"message_send_ttl_seconds": 123,
"name": "<string>",
"otp_type": "<string>",
"package_name": "<string>",
"security_recommendation": True,
"signature_hash": "<string>",
"variants": [
{
"body": "<string>",
"buttons": [
{
"phone_number": "<string>",
"text": "<string>",
"type": "<string>",
"url": "<string>"
}
],
"examples": {},
"footer": "<string>",
"header": "<string>",
"header_format": "<string>",
"header_sample": "<string>",
"labels": {},
"language": "<string>"
}
],
"zero_tap_terms_accepted": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": {}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}Authorizations
An account token from Settings › Account API in the Tawked console: Authorization: Bearer tk_acct_…
Headers
One per intended change (1 to 128 printable ASCII characters): a retry with the same key and the same request answers the stored 2xx with Idempotent-Replayed: true, for 24 hours. A 428 approval_required is never stored: send the approved request again with the same key or none. An answer that carried a secret shown once is never kept: its replay answers 409 idempotency_secret_not_replayable with the id of what it made.
1 - 128Path Parameters
An application's id (a UUID); list them with applications.applications.list.
^(?:[\da-fA-F]{8}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{12})$A template draft's id (a UUID); list them with whatsapp.template_drafts.list.
^(?:[\da-fA-F]{8}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{12})$Body
Show child attributes
Show child attributes
Response
Done.